package com.alibaba.druid.sql.dialect.dm.ast.stmt;

import com.alibaba.druid.sql.ast.SQLExpr;
import com.alibaba.druid.sql.ast.SQLName;
import com.alibaba.druid.sql.ast.statement.SQLAlterDatabaseItem;
import com.alibaba.druid.sql.dialect.dm.ast.DmSQLObjectImpl;
import com.alibaba.druid.sql.dialect.dm.visitor.DmASTVisitor;

public class DmAlterDatabaseResizeLogfile extends DmSQLObjectImpl implements SQLAlterDatabaseItem {
   protected SQLName filepath;
   protected SQLExpr filesize;

   public void accept0(DmASTVisitor visitor) {
      if (visitor.visit(this)) {
      }

      visitor.endVisit(this);
   }

   public SQLName getFilepath() {
      return this.filepath;
   }

   public void setFilepath(SQLName filepath) {
      this.filepath = filepath;
   }

   public SQLExpr getFilesize() {
      return this.filesize;
   }

   public void setFilesize(SQLExpr filesize) {
      this.filesize = filesize;
   }
}
